Subject: bug#64055: [WIP Patch] Enable editing commit messages - vc-git-modify-change-comment

From: Sean Whitton <[email-masked]>
Date: Sun, 20 Oct 2024 08:58:52 +0800

Hello,

On Sun 20 Oct 2024 at 01:16am +01, Dmitry Gutov wrote:

>> I thought that it would be nice to include Author, in particular, as you
>> might need to amend the value.  That would require adding additional
>> arguments to the modify-change-comment action, though, so I left it for
>> later if someone wants to implement it.
>
> I think you're parsing out all the headers from the COMMENT argument in the
> posted patch, so this paragraph seems to be moot.

Yeah, I realised that because we are invoking git-commit(1), it's easy
to support most of them.

> Like you say in the patch though, it seems changing Author is not
> supported.
>
> To do that, apparently we'd either need to rebase with a pause (with 'git
> amend' in the middle), or use 'git rebase --exec' like in
> https://stackoverflow.com/a/79068024/615245. The latter seems like it would
> apply to all commits in the range, so it might require the same dance as
> 'amend'.

Yeah.  We can consider it as a possible future enhancement.
I'm also concerned about it making the command slower -- it's already
not that fast.

> (I can comment on the patch itself tomorrow.)

Cool, thanks.

-- 
Sean Whitton